PATH=/sbin:$PATH

ip_aliases_up() {
	if [ "$INTERFACE_COLOUR" != "" ] ; then
		cd /var/smoothwall/ethernet
		for interface in $INTERFACE_COLOUR\:* ; do
			if [ -f $interface ] ; then
			  	i=`echo $interface | sed "s/^$INTERFACE_COLOUR//g"`
				ENABLED=no
				eval $(grep "ADDRESS=" $interface)
				eval $(grep "NETMASK=" $interface)
				eval $(grep "BROADCAST=" $interface)
				eval $(grep "ENABLED=" $interface)
				UP=`echo $ENABLED | grep -E -i "(TRUE|YES|ON|1)"`
				if [ "$UP" != "" ] ; then
					eval $(echo DEVICE=\$${INTERFACE_COLOUR}_DEV)
					echo "Bringing up $DEVICE$i"
					ifconfig $DEVICE$i $ADDRESS netmask $NETMASK broadcast $BROADCAST up
				fi
			fi
		done
	fi
}

